# $Revision: 1.9.2.1 $, $Date: 2007/02/17 20:13:20 $
%include	/usr/lib/rpm/macros.perl
Summary:	The Prelude library
Summary(pl):	Biblioteka Prelude
Name:		libprelude
Version:	0.9.8
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://www.prelude-ids.org/download/releases/%{name}-%{version}.tar.gz
# Source0-md5:	d46527e7b036d20c3cc72c887486d773
URL:		http://www.prelude-ids.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gnutls-devel >= 1.2.5
BuildRequires:	gtk-doc
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Prelude library is a collection of generic functions providing
communication between the Prelude Hybrid IDS suite components. It
provides a convenient interface for sending alerts to Prelude Manager
with transparent SSL, failover and replication support, asynchronous
events and timer interfaces, an abstracted configuration API (hooking
at the commandline, the configuration line, or wide configuration,
available from the Manager), and a generic plugin API. It allows you
to easily turn your favorite security program into a Prelude sensor.

%description -l pl
Biblioteka Prelude to zbir oglnych funkcji zapewniajcych
komunikacj pomidzy komponentami zestawu Prelude Hybrid IDS.
Dostarcza wygodny interfejs do wysyania alarmw do zarzdcy Prelude z
przezroczyst obsug SSL, failover i replikacji, interfejsy do
zdarze asynchronicznych i zegarw, abstrakcyjne API konfiguracyjne
(obsugujce lini polece, lini konfiguracji i konfiguracj
dostpn z zarzdcy) oraz oglne API wtyczek. Pozwala atwo zamieni
ulubiony program zwizany z bezpieczestwem na czujnik Prelude.

%package libs
Summary:	The Prelude library
Summary(pl):	Biblioteka Prelude
Group:		Libraries

%description libs
The Prelude library.

%description libs -l pl
Biblioteka Prelude.

%package devel
Summary:	Header files and development documentation for libprelude
Summary(pl):	Pliki nagwkowe i dokumentacja programistyczna dla libprelude
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gnutls-devel

%description devel
Header files and development documentation for libprelude.

%description devel -l pl
Pliki nagwkowe i dokumentacja programistyczna dla libprelude.

%package static
Summary:	Static libprelude library
Summary(pl):	Statyczna biblioteka libprelude
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libprelude library.

%description static -l pl
Statyczna biblioteka libprelude.

%package -n perl-libprelude
Summary:	libprelude Perl bindings
Summary(pl):	Dowizania Perla do libprelude
Group:		Development/Languages/Perl

%description -n perl-libprelude
libprelude Perl bindings.

%description -n perl-libprelude -l pl
Dowizania Perla dla libprelude.

%package -n python-libprelude
Summary:	libprelude Python bindings
Summary(pl):	Dowizania Pythona dla libprelude
Group:		Development/Languages/Python

%description -n python-libprelude
libprelude Python bindings.

%description -n python-libprelude -l pl
Dowizania Pythona dla libprelude.

%prep
%setup -q

%build
%configure \
	--enable-shared \
	--enable-static \
	--enable-perl \
	--enable-python \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}/libprelude

# first make the perl makefile otherwise with jobserver strange things happen:
# Makefile out-of-date with respect to Makefile.PL
%{__make} -C bindings perl/Makefile

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd bindings/perl && %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
cd ../..
%{__make} -C bindings/perl install \
	DESTDIR=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_sysconfdir}/prelude
%dir %{_sysconfdir}/prelude/default
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/prelude/default/*.conf
%dir %{_sysconfdir}/prelude/profile

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/prelude-adduser
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libprelude-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libprelude
%{_aclocaldir}/*.m4
%{_gtkdocdir}/libprelude

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n perl-libprelude
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/auto/Prelude
%attr(755,root,root) %{perl_vendorarch}/auto/Prelude/*.so
%{perl_vendorarch}/auto/Prelude/*.bs
%{perl_vendorarch}/Prelude.pm

%files -n python-libprelude
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libprelude.spec,v $
Revision 1.9.2.1  2007/02/17 20:13:20  qboosh
- release 2 (new gnutls)

Revision 1.9  2006/05/16 11:06:11  mguevara
- 0.9.8-1

Revision 1.8  2006/04/11 15:43:33  mguevara
- 0.9.7.2 rel 1

Revision 1.7  2005/10/30 23:56:42  glen
- 0.9.0 release

Revision 1.6  2005/07/20 06:00:13  ankry
- kill caps, tabs

Revision 1.5  2005/07/12 20:11:08  qboosh
- pl, cleanup

Revision 1.4  2005/07/12 11:59:07  baggins
- release 2

Revision 1.3  2005/07/12 11:58:48  baggins
- devel Req: gnutls-devel

Revision 1.2  2005/07/11 16:48:25  arekm
- BR gnutls 1.2.5

Revision 1.1  2005/07/10 19:19:37  arekm
- initial pld release
